diff -r -u robotfindskitten-1.4142135.349-orig/src/messages.h robotfindskitten-1.4142135.349/src/messages.h
--- robotfindskitten-1.4142135.349-orig/src/messages.h	2003-01-27 09:33:26.000000000 -0800
+++ robotfindskitten-1.4142135.349/src/messages.h	2004-10-13 13:22:51.000000000 -0700
@@ -365,3 +365,18 @@
 
 
 };
+
+/*Finish him!*/
+#define FATALITIES (sizeof fatalities / sizeof (char*))
+
+static char* fatalities[] =
+{
+  "Kitten jumps out of nowhere, pulls out a switchblade, and stabs you.",
+  "Bruce Willis swears at you, pulls out a Zippo(TM), and lights you on fire.",
+  "Your Robot armor is no match against your opponent's +2 Kitten.",
+  "Terrorists have planted a dirty bomb inside kitten!  Run for your life!",
+  "You hear \"JIHAAD!!!\", then everything goes dark.",
+  "You have come to the end of this Choose Your Own Adventure.",
+  "Ryan Finnie has ripped the still-beating heart out of this zen simulation.",
+  "Your generation has no attention span anymore, so you get bored and leave."
+};
diff -r -u robotfindskitten-1.4142135.349-orig/src/robotfindskitten.c robotfindskitten-1.4142135.349/src/robotfindskitten.c
--- robotfindskitten-1.4142135.349-orig/src/robotfindskitten.c	2004-10-13 13:03:49.000000000 -0700
+++ robotfindskitten-1.4142135.349/src/robotfindskitten.c	2004-10-13 13:12:08.000000000 -0700
@@ -287,8 +287,17 @@
 	  play_animation(input);
 	  break;
 	default: /*We hit a bogus object; print its message.*/
-	  message(messages[bogus_messages[screen[check_x][check_y]-2]]);
-	  break;
+	  if ((rand() % 10) == 0) { /*RFK is boring, let's add explosions!*/
+	    move(0,0);
+	    addstr(fatalities[rand() % FATALITIES]);
+	    move(1,0);
+	    addstr("You are dead.  Sorry it didn't work out.  Please insert $0.25 to continue.");
+	    refresh();
+	    finish(0);
+	  } else {
+	    message(messages[bogus_messages[screen[check_x][check_y]-2]]);
+	    break;
+	  }
 	}
       return;
     }
@@ -377,6 +386,8 @@
   printw("Robot must touch items to determine if they are kitten or not. The game\n");
   printw("ends when robotfindskitten. Alternatively, you may end the game by hitting\n");
   printw("the Esc key. See the documentation for more information.\n\n");
+  printw("This version contains MegaHyperDeath(TM) technology.  Every time you find\n");
+  printw("something that is not kitten, you have a 1 in 10 chance of dying.\n\n");
   printw("Press any key to start.\n");
   refresh();
 
